`timescale 1ns/100ps



module seg2bin (seg, bin);

   input  [6:0] seg;

   output [3:0] bin;

   

   reg    [3:0] bin;

   

always @ (seg)

   case (seg)

   7'h7E : bin = 4'h0;

   7'h30 : bin = 4'h1;

   7'h6d : bin = 4'h2;

   7'h79 : bin = 4'h3;

   7'h33 : bin = 4'h4;

   7'h5B : bin = 4'h5;

   7'h5F : bin = 4'h6;

   7'h70 : bin = 4'h7;

   7'h7F : bin = 4'h8;

   7'h7B : bin = 4'h9;

   7'h77 : bin = 4'hA;

   7'h1F : bin = 4'hB;

   7'h4E : bin = 4'hC;

   7'h3D : bin = 4'hD;

   7'h4F : bin = 4'hE;

   7'h47 : bin = 4'hF;

   default : bin = 4'h0;

   endcase

   

endmodule   

   