onerror {resume}

quietly WaveActivateNextPane {} 0

add wave -noupdate -format Literal -label GNT_N /BOARDTEST_TB_TOP/iPCI_MODULE/iARBITER/GNT_N

add wave -noupdate -format Literal -label REQ_N /BOARDTEST_TB_TOP/iPCI_MODULE/iARBITER/REQ_N

add wave -noupdate -format Logic -label RST_N /BOARDTEST_TB_TOP/UUT/RST_N

add wave -noupdate -format Logic -label PCI_CLK /BOARDTEST_TB_TOP/UUT/PCLK

add wave -noupdate -divider {PCI Signals}

add wave -noupdate -format Literal -label AD -radix hexadecimal /BOARDTEST_TB_TOP/UUT/AD

add wave -noupdate -format Literal -label CBE -radix hexadecimal /BOARDTEST_TB_TOP/UUT/CBE

add wave -noupdate -format Logic -label FRAME_N /BOARDTEST_TB_TOP/UUT/FRAME_N

add wave -noupdate -format Literal -label TRDY_N -radix binary /BOARDTEST_TB_TOP/UUT/TRDY_N

add wave -noupdate -format Logic -label IRDY_N /BOARDTEST_TB_TOP/UUT/IRDY_N

add wave -noupdate -format Logic -label STOP_N /BOARDTEST_TB_TOP/UUT/STOP_N

add wave -noupdate -format Logic -label DEVSEL_N /BOARDTEST_TB_TOP/UUT/DEVSEL_N

add wave -noupdate -format Logic -label IDSEL /BOARDTEST_TB_TOP/UUT/IDSEL

add wave -noupdate -format Logic -label INTR_A /BOARDTEST_TB_TOP/UUT/INTR_A

add wave -noupdate -divider {SDRAM Signals}

add wave -noupdate -format Literal -label SDRAM_A -radix hexadecimal /BOARDTEST_TB_TOP/UUT/SDRAM_A

add wave -noupdate -format Literal -label SDRAM_BA /BOARDTEST_TB_TOP/UUT/SDRAM_BA

add wave -noupdate -format Logic -label SDRAM_CAS_L /BOARDTEST_TB_TOP/UUT/SDRAM_CAS_L

add wave -noupdate -format Logic -label SDRAM_CKE /BOARDTEST_TB_TOP/UUT/SDRAM_CKE

add wave -noupdate -format Logic -label SDRAM_CLK /BOARDTEST_TB_TOP/UUT/SDRAM_CLK

add wave -noupdate -format Logic -label SDRAM_CS_L /BOARDTEST_TB_TOP/UUT/SDRAM_CS_L

add wave -noupdate -format Literal -label SDRAM_DQ -radix hexadecimal /BOARDTEST_TB_TOP/UUT/SDRAM_DQ

add wave -noupdate -format Literal -label SDRAM_DQM /BOARDTEST_TB_TOP/UUT/SDRAM_DQM

add wave -noupdate -format Logic -label SDRAM_RAS_L /BOARDTEST_TB_TOP/UUT/SDRAM_RAS_L

add wave -noupdate -format Logic -label SDRAM_WE_L /BOARDTEST_TB_TOP/UUT/SDRAM_WE_L

TreeUpdate [SetDefaultTree]

WaveRestoreCursors {6226692 ps}

WaveRestoreZoom {0 ps} {2025861 ps}

configure wave -namecolwidth 150

configure wave -valuecolwidth 100

configure wave -justifyvalue left

configure wave -signalnamewidth 0

configure wave -snapdistance 10

configure wave -datasetprefix 0

configure wave -rowmargin 4

configure wave -childrowmargin 2

